camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-8627) Update Infinispan version from 6.0.2.Final to 7.1.1.Final
Date Tue, 14 Apr 2015 05:39:14 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-8627?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14493600#comment-14493600
] 

Claus Ibsen commented on CAMEL-8627:
------------------------------------

Unfortunately sometimes this is not so easy with OSGi. This upgrade does not work in osgi,
and changes would be needed in the karaf features file.

You can test by

davsclaus:~/workspace/camel/tests/camel-itest-karaf (master)/$ mvn clean test -Dtest=CamelInfinispanTest

You get a bunch of errors like
{code}
ERROR: Bundle org.xerial.snappy.snappy-java [98] Error starting mvn:org.xerial.snappy/snappy-java/1.1.0.1
(org.osgi.framework.BundleException: Activator start error in bundle org.xerial.snappy.snappy-java
[98].)
java.lang.UnsatisfiedLinkError: no libsnappyjava.dylib in java.library.path
	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1886)
	at java.lang.Runtime.loadLibrary0(Runtime.java:849)
	at java.lang.System.loadLibrary(System.java:1088)
	at org.xerial.snappy.SnappyBundleActivator.start(SnappyBundleActivator.java:52)
	at org.apache.felix.framework.util.SecureAction.startActivator(SecureAction.java:645)
	at org.apache.felix.framework.Felix.activateBundle(Felix.java:2154)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:2072)
	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1299)
	at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
	at java.lang.Thread.run(Thread.java:744)
ERROR: Bundle org.infinispan.core [100] Error starting mvn:org.infinispan/infinispan-core/7.1.1.Final
(org.osgi.framework.BundleException: Unresolved constraint in bundle org.infinispan.core [100]:
Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.jboss.marshalling)(version>=1.4.0)(!(version>=2.0.0))))
org.osgi.framework.BundleException: Unresolved constraint in bundle org.infinispan.core [100]:
Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.jboss.marshalling)(version>=1.4.0)(!(version>=2.0.0)))
	at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4002)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:2045)
	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1299)
	at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
	at java.lang.Thread.run(Thread.java:744)
ERROR: Bundle org.apache.camel.camel-infinispan [108] Error starting mvn:org.apache.camel/camel-infinispan/2.16-SNAPSHOT
(org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.camel.camel-infinispan
[108]: Unable to resolve 108.0: missing requirement [108.0] osgi.wiring.package; (&(osgi.wiring.package=org.infinispan)(version>=7.1.0)(!(version>=8.0.0)))
[caused by: Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.jboss.marshalling)(version>=1.4.0)(!(version>=2.0.0)))])
org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.camel.camel-infinispan
[108]: Unable to resolve 108.0: missing requirement [108.0] osgi.wiring.package; (&(osgi.wiring.package=org.infinispan)(version>=7.1.0)(!(version>=8.0.0)))
[caused by: Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.jboss.marshalling)(version>=1.4.0)(!(version>=2.0.0)))]
	at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4002)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:2045)
	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1299)
	at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
	at java.lang.Thread.run(Thread.java:744)
[org.ops4j.pax.exam.rbc.client.RemoteBundleContextClient] : Remote bundle context found after
11400 millis
ERROR: Bundle org.xerial.snappy.snappy-java [98] Error starting/stopping bundle. (org.osgi.framework.BundleException:
Activator start error in bundle org.xerial.snappy.snappy-java [98].)
java.lang.UnsatisfiedLinkError: no libsnappyjava.dylib in java.library.path
	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1886)
	at java.lang.Runtime.loadLibrary0(Runtime.java:849)
	at java.lang.System.loadLibrary(System.java:1088)
	at org.xerial.snappy.SnappyBundleActivator.start(SnappyBundleActivator.java:52)
	at org.apache.felix.framework.util.SecureAction.startActivator(SecureAction.java:645)
	at org.apache.felix.framework.Felix.activateBundle(Felix.java:2154)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:2072)
	at org.apache.felix.framework.Felix.setBundleStartLevel(Felix.java:1491)
	at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:334)
	at java.lang.Thread.run(Thread.java:744)
ERROR: Bundle org.infinispan.core [100] Error starting/stopping bundle. (org.osgi.framework.BundleException:
Unresolved constraint in bundle org.infinispan.core [100]: Unable to resolve 100.0: missing
requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.jboss.marshalling)(version>=1.4.0)(!(version>=2.0.0))))
org.osgi.framework.BundleException: Unresolved constraint in bundle org.infinispan.core [100]:
Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.jboss.marshalling)(version>=1.4.0)(!(version>=2.0.0)))
	at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4002)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:2045)
	at org.apache.felix.framework.Felix.setBundleStartLevel(Felix.java:1491)
	at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:334)
	at java.lang.Thread.run(Thread.java:744)
ERROR: Bundle org.apache.camel.camel-infinispan [108] Error starting/stopping bundle. (org.osgi.framework.BundleException:
Unresolved constraint in bundle org.apache.camel.camel-infinispan [108]: Unable to resolve
108.0: missing requirement [108.0] osgi.wiring.package; (&(osgi.wiring.package=org.infinispan)(version>=7.1.0)(!(version>=8.0.0)))
[caused by: Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.jboss.marshalling)(version>=1.4.0)(!(version>=2.0.0)))])
org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.camel.camel-infinispan
[108]: Unable to resolve 108.0: missing requirement [108.0] osgi.wiring.package; (&(osgi.wiring.package=org.infinispan)(version>=7.1.0)(!(version>=8.0.0)))
[caused by: Unable to resolve 100.0: missing requirement [100.0] osgi.wiring.package; (&(osgi.wiring.package=org.jboss.marshalling)(version>=1.4.0)(!(version>=2.0.0)))]
	at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4002)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:2045)
	at org.apache.felix.framework.Felix.setBundleStartLevel(Felix.java:1491)
	at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:334)
	at java.lang.Thread.run(Thread.java:744)
[org.ops4j.pax.tinybundles.core.intern.RawBuilder] : make()
{code}

> Update Infinispan version from 6.0.2.Final to 7.1.1.Final
> ---------------------------------------------------------
>
>                 Key: CAMEL-8627
>                 URL: https://issues.apache.org/jira/browse/CAMEL-8627
>             Project: Camel
>          Issue Type: Task
>          Components: camel-infinispan
>            Reporter: Andrea Cosentino
>            Priority: Minor
>             Fix For: 2.16.0
>
>
> We need to update Infinispan from version 6.0.2.Final to the latest stable version 7.1.1.Final



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message